 @keyframes smoothBounce {
  0%, 100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-5px);
  }
}

.whatsapp-float {
  position: fixed;
  bottom: 25px;
  right: 80px;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 8px 18px;
  background: linear-gradient(90deg, #d45078 0%, #62122a 100%);
  border-radius: 30px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  text-decoration: none;
  transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

.whatsapp-content {
  display: flex;
  align-items: center;
}

.whatsapp-icon {
  width: 25px;
  height: 25px;
  margin-right: 10px;
  animation: smoothBounce 1.5s infinite ease-in-out;
}

.whatsapp-text {
  color: white;
  font-size: 15px;
}

.whatsapp-float:hover {
  background-color: #1ebe57;
  box-shadow: 0 6px 8px rgba(0, 0, 0, 0.2);
}
